Bug 168993 - CAN-2005-3053 RHEL 4 sys_set_mempolicy allows invalid policy leading to panic
CAN-2005-3053 RHEL 4 sys_set_mempolicy allows invalid policy leading to panic
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-09-21 17:07 EDT by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2005-808
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-27 11:09:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 13 Mark J. Cox (Product Security) 2005-10-27 10:37:35 EDT
The set_mempolicy system call does not check for negative numbers in the policy
field.  Setting a negative value will cause a panic when the process later
allocates a memory page.  This allows an unprivileged local user to panic the
Comment 14 Red Hat Bugzilla 2005-10-27 11:09:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.